/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/******************************************************************************
 * Sets up the logger in its static this().
 * 
 * Any module finding the logger is not set up early enough should import this
 * module. This module should not import any other mde modules.
 *****************************************************************************/
module mde.setup.logger;

import mde.setup.LogLayout;
import tango.util.log.Log;
import tango.util.log.AppendConsole;

static this () {
    // Set up the logger temporarily (until pre-init):
    Logger root = Log.root;
    debug root.level(Logger.Trace);
    else  root.level(Logger.Info);
    root.add(new AppendConsole (new LayoutTimerColour()));
}
